package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[用户数据行为]
 */
@Component("ionicdemo_CodeList71CodeList")
public class CodeList71CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList71");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("1");
		item0.setId("1");
		item0.setText("无建立");
		item0.setLabel("无建立");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("1",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("2");
		item1.setId("2");
		item1.setText("无更新");
		item1.setLabel("无更新");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("2",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("4");
		item2.setId("4");
		item2.setText("无删除");
		item2.setLabel("无删除");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("4",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("8");
		item3.setId("8");
		item3.setText("无查看");
		item3.setLabel("无查看");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("8",item3);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}