package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.BGYPSQMX;
import com.sa.ibiz.demo.demo.service.dto.BGYPSQMXSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface BGYPSQMXMapper extends BaseMapper<BGYPSQMX>{
    @CacheEvict( value="entity",key = "'BGYPSQMX:'+#p0.bgypsqmxid")
    void updateOne(@Param("bgypsqmx") BGYPSQMX bgypsqmx);
    List<BGYPSQMX> searchDefault(@Param("srf") BGYPSQMXSearchFilter searchfilter,@Param("ew") Wrapper<BGYPSQMX> wrapper) ;
    Page<BGYPSQMX> searchDefault(IPage page, @Param("srf") BGYPSQMXSearchFilter searchfilter, @Param("ew") Wrapper<BGYPSQMX> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'BGYPSQMX:'+#p0")
    BGYPSQMX selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'BGYPSQMX:'+#p0.bgypsqmxid")
    int updateById(@Param(Constants.ENTITY) BGYPSQMX entity);
    @Override
    @CacheEvict( value="entity",key = "'BGYPSQMX:'+#p0.bgypsqmxid")
    int insert(BGYPSQMX entity);
    @Override
    @CacheEvict( value="entity",key = "'BGYPSQMX:'+#p0")
    int deleteById(Serializable id);
}