package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.DEDataChg2;
import com.sa.ibiz.demo.demo.service.dto.DEDataChg2SearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface DEDataChg2Mapper extends BaseMapper<DEDataChg2>{
    @CacheEvict( value="entity",key = "'DEDataChg2:'+#p0.dedatachg2id")
    void updateOne(@Param("dedatachg2") DEDataChg2 dedatachg2);
    List<DEDataChg2> searchDefault(@Param("srf") DEDataChg2SearchFilter searchfilter,@Param("ew") Wrapper<DEDataChg2> wrapper) ;
    Page<DEDataChg2> searchDefault(IPage page, @Param("srf") DEDataChg2SearchFilter searchfilter, @Param("ew") Wrapper<DEDataChg2> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'DEDataChg2:'+#p0")
    DEDataChg2 selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChg2:'+#p0.dedatachg2id")
    int updateById(@Param(Constants.ENTITY) DEDataChg2 entity);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChg2:'+#p0.dedatachg2id")
    int insert(DEDataChg2 entity);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChg2:'+#p0")
    int deleteById(Serializable id);
}