package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.DataSyncIn2;
import com.sa.ibiz.demo.demo.service.dto.DataSyncIn2SearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface DataSyncIn2Mapper extends BaseMapper<DataSyncIn2>{
    @CacheEvict( value="entity",key = "'DataSyncIn2:'+#p0.datasyncin2id")
    void updateOne(@Param("datasyncin2") DataSyncIn2 datasyncin2);
    List<DataSyncIn2> searchDefault(@Param("srf") DataSyncIn2SearchFilter searchfilter,@Param("ew") Wrapper<DataSyncIn2> wrapper) ;
    Page<DataSyncIn2> searchDefault(IPage page, @Param("srf") DataSyncIn2SearchFilter searchfilter, @Param("ew") Wrapper<DataSyncIn2> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'DataSyncIn2:'+#p0")
    DataSyncIn2 selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'DataSyncIn2:'+#p0.datasyncin2id")
    int updateById(@Param(Constants.ENTITY) DataSyncIn2 entity);
    @Override
    @CacheEvict( value="entity",key = "'DataSyncIn2:'+#p0.datasyncin2id")
    int insert(DataSyncIn2 entity);
    @Override
    @CacheEvict( value="entity",key = "'DataSyncIn2:'+#p0")
    int deleteById(Serializable id);
}