package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.MsgSendQueueHis;
import com.sa.ibiz.demo.demo.service.dto.MsgSendQueueHisSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface MsgSendQueueHisMapper extends BaseMapper<MsgSendQueueHis>{
    @CacheEvict( value="entity",key = "'MsgSendQueueHis:'+#p0.msgsendqueuehisid")
    void updateOne(@Param("msgsendqueuehis") MsgSendQueueHis msgsendqueuehis);
    List<MsgSendQueueHis> searchDefault(@Param("srf") MsgSendQueueHisSearchFilter searchfilter,@Param("ew") Wrapper<MsgSendQueueHis> wrapper) ;
    Page<MsgSendQueueHis> searchDefault(IPage page, @Param("srf") MsgSendQueueHisSearchFilter searchfilter, @Param("ew") Wrapper<MsgSendQueueHis> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'MsgSendQueueHis:'+#p0")
    MsgSendQueueHis selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'MsgSendQueueHis:'+#p0.msgsendqueuehisid")
    int updateById(@Param(Constants.ENTITY) MsgSendQueueHis entity);
    @Override
    @CacheEvict( value="entity",key = "'MsgSendQueueHis:'+#p0.msgsendqueuehisid")
    int insert(MsgSendQueueHis entity);
    @Override
    @CacheEvict( value="entity",key = "'MsgSendQueueHis:'+#p0")
    int deleteById(Serializable id);
}