package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.TSSDPolicyOwner;
import com.sa.ibiz.demo.demo.service.dto.TSSDPolicyOwnerSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface TSSDPolicyOwnerMapper extends BaseMapper<TSSDPolicyOwner>{
    @CacheEvict( value="entity",key = "'TSSDPolicyOwner:'+#p0.tssdpolicyownerid")
    void updateOne(@Param("tssdpolicyowner") TSSDPolicyOwner tssdpolicyowner);
    List<TSSDPolicyOwner> searchDefault(@Param("srf") TSSDPolicyOwnerSearchFilter searchfilter,@Param("ew") Wrapper<TSSDPolicyOwner> wrapper) ;
    Page<TSSDPolicyOwner> searchDefault(IPage page, @Param("srf") TSSDPolicyOwnerSearchFilter searchfilter, @Param("ew") Wrapper<TSSDPolicyOwner> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'TSSDPolicyOwner:'+#p0")
    TSSDPolicyOwner selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'TSSDPolicyOwner:'+#p0.tssdpolicyownerid")
    int updateById(@Param(Constants.ENTITY) TSSDPolicyOwner entity);
    @Override
    @CacheEvict( value="entity",key = "'TSSDPolicyOwner:'+#p0.tssdpolicyownerid")
    int insert(TSSDPolicyOwner entity);
    @Override
    @CacheEvict( value="entity",key = "'TSSDPolicyOwner:'+#p0")
    int deleteById(Serializable id);
}