package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.UserRoleDEField;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDEFieldSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface UserRoleDEFieldMapper extends BaseMapper<UserRoleDEField>{
    @CacheEvict( value="entity",key = "'UserRoleDEField:'+#p0.userroledefieldid")
    void updateOne(@Param("userroledefield") UserRoleDEField userroledefield);
    List<UserRoleDEField> searchDefault(@Param("srf") UserRoleDEFieldSearchFilter searchfilter,@Param("ew") Wrapper<UserRoleDEField> wrapper) ;
    Page<UserRoleDEField> searchDefault(IPage page, @Param("srf") UserRoleDEFieldSearchFilter searchfilter, @Param("ew") Wrapper<UserRoleDEField> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'UserRoleDEField:'+#p0")
    UserRoleDEField selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'UserRoleDEField:'+#p0.userroledefieldid")
    int updateById(@Param(Constants.ENTITY) UserRoleDEField entity);
    @Override
    @CacheEvict( value="entity",key = "'UserRoleDEField:'+#p0.userroledefieldid")
    int insert(UserRoleDEField entity);
    @Override
    @CacheEvict( value="entity",key = "'UserRoleDEField:'+#p0")
    int deleteById(Serializable id);
}