package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.WFStepInst;
import com.sa.ibiz.demo.demo.service.dto.WFStepInstSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface WFStepInstMapper extends BaseMapper<WFStepInst>{
    @CacheEvict( value="entity",key = "'WFStepInst:'+#p0.wfstepinstid")
    void updateOne(@Param("wfstepinst") WFStepInst wfstepinst);
    List<WFStepInst> searchDefault(@Param("srf") WFStepInstSearchFilter searchfilter,@Param("ew") Wrapper<WFStepInst> wrapper) ;
    Page<WFStepInst> searchDefault(IPage page, @Param("srf") WFStepInstSearchFilter searchfilter, @Param("ew") Wrapper<WFStepInst> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'WFStepInst:'+#p0")
    WFStepInst selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'WFStepInst:'+#p0.wfstepinstid")
    int updateById(@Param(Constants.ENTITY) WFStepInst entity);
    @Override
    @CacheEvict( value="entity",key = "'WFStepInst:'+#p0.wfstepinstid")
    int insert(WFStepInst entity);
    @Override
    @CacheEvict( value="entity",key = "'WFStepInst:'+#p0")
    int deleteById(Serializable id);
}