package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.ZJSY;
import com.sa.ibiz.demo.demo.service.dto.ZJSYSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface ZJSYMapper extends BaseMapper<ZJSY>{
    @CacheEvict( value="entity",key = "'ZJSY:'+#p0.zjsyid")
    void updateOne(@Param("zjsy") ZJSY zjsy);
    List<ZJSY> searchDefault(@Param("srf") ZJSYSearchFilter searchfilter,@Param("ew") Wrapper<ZJSY> wrapper) ;
    Page<ZJSY> searchDefault(IPage page, @Param("srf") ZJSYSearchFilter searchfilter, @Param("ew") Wrapper<ZJSY> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'ZJSY:'+#p0")
    ZJSY selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'ZJSY:'+#p0.zjsyid")
    int updateById(@Param(Constants.ENTITY) ZJSY entity);
    @Override
    @CacheEvict( value="entity",key = "'ZJSY:'+#p0.zjsyid")
    int insert(ZJSY entity);
    @Override
    @CacheEvict( value="entity",key = "'ZJSY:'+#p0")
    int deleteById(Serializable id);
}