package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.DEDataChgDisp;
import com.sa.ibiz.demo.demo.service.dto.DEDataChgDispSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface DEDataChgDispMapper extends BaseMapper<DEDataChgDisp>{
    @CacheEvict( value="entity",key = "'DEDataChgDisp:'+#p0.dedatachgdispid")
    void updateOne(@Param("dedatachgdisp") DEDataChgDisp dedatachgdisp);
    List<DEDataChgDisp> searchDefault(@Param("srf") DEDataChgDispSearchFilter searchfilter,@Param("ew") Wrapper<DEDataChgDisp> wrapper) ;
    Page<DEDataChgDisp> searchDefault(IPage page, @Param("srf") DEDataChgDispSearchFilter searchfilter, @Param("ew") Wrapper<DEDataChgDisp> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'DEDataChgDisp:'+#p0")
    DEDataChgDisp selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChgDisp:'+#p0.dedatachgdispid")
    int updateById(@Param(Constants.ENTITY) DEDataChgDisp entity);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChgDisp:'+#p0.dedatachgdispid")
    int insert(DEDataChgDisp entity);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChgDisp:'+#p0")
    int deleteById(Serializable id);
}