package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.DEDataChg;
import com.sa.ibiz.demo.demo.service.dto.DEDataChgSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface DEDataChgMapper extends BaseMapper<DEDataChg>{
    @CacheEvict( value="entity",key = "'DEDataChg:'+#p0.dedatachgid")
    void updateOne(@Param("dedatachg") DEDataChg dedatachg);
    List<DEDataChg> searchDefault(@Param("srf") DEDataChgSearchFilter searchfilter,@Param("ew") Wrapper<DEDataChg> wrapper) ;
    Page<DEDataChg> searchDefault(IPage page, @Param("srf") DEDataChgSearchFilter searchfilter, @Param("ew") Wrapper<DEDataChg> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'DEDataChg:'+#p0")
    DEDataChg selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChg:'+#p0.dedatachgid")
    int updateById(@Param(Constants.ENTITY) DEDataChg entity);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChg:'+#p0.dedatachgid")
    int insert(DEDataChg entity);
    @Override
    @CacheEvict( value="entity",key = "'DEDataChg:'+#p0")
    int deleteById(Serializable id);
}