package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.DataSyncOut2;
import com.sa.ibiz.demo.demo.service.dto.DataSyncOut2SearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface DataSyncOut2Mapper extends BaseMapper<DataSyncOut2>{
    @CacheEvict( value="entity",key = "'DataSyncOut2:'+#p0.datasyncout2id")
    void updateOne(@Param("datasyncout2") DataSyncOut2 datasyncout2);
    List<DataSyncOut2> searchDefault(@Param("srf") DataSyncOut2SearchFilter searchfilter,@Param("ew") Wrapper<DataSyncOut2> wrapper) ;
    Page<DataSyncOut2> searchDefault(IPage page, @Param("srf") DataSyncOut2SearchFilter searchfilter, @Param("ew") Wrapper<DataSyncOut2> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'DataSyncOut2:'+#p0")
    DataSyncOut2 selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'DataSyncOut2:'+#p0.datasyncout2id")
    int updateById(@Param(Constants.ENTITY) DataSyncOut2 entity);
    @Override
    @CacheEvict( value="entity",key = "'DataSyncOut2:'+#p0.datasyncout2id")
    int insert(DataSyncOut2 entity);
    @Override
    @CacheEvict( value="entity",key = "'DataSyncOut2:'+#p0")
    int deleteById(Serializable id);
}