package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.UserRoleDEFields;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDEFieldsSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface UserRoleDEFieldsMapper extends BaseMapper<UserRoleDEFields>{
    @CacheEvict( value="entity",key = "'UserRoleDEFields:'+#p0.userroledefieldsid")
    void updateOne(@Param("userroledefields") UserRoleDEFields userroledefields);
    List<UserRoleDEFields> searchDefault(@Param("srf") UserRoleDEFieldsSearchFilter searchfilter,@Param("ew") Wrapper<UserRoleDEFields> wrapper) ;
    Page<UserRoleDEFields> searchDefault(IPage page, @Param("srf") UserRoleDEFieldsSearchFilter searchfilter, @Param("ew") Wrapper<UserRoleDEFields> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'UserRoleDEFields:'+#p0")
    UserRoleDEFields selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'UserRoleDEFields:'+#p0.userroledefieldsid")
    int updateById(@Param(Constants.ENTITY) UserRoleDEFields entity);
    @Override
    @CacheEvict( value="entity",key = "'UserRoleDEFields:'+#p0.userroledefieldsid")
    int insert(UserRoleDEFields entity);
    @Override
    @CacheEvict( value="entity",key = "'UserRoleDEFields:'+#p0")
    int deleteById(Serializable id);
}