package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.WFTmpStepActor;
import com.sa.ibiz.demo.demo.service.dto.WFTmpStepActorSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface WFTmpStepActorMapper extends BaseMapper<WFTmpStepActor>{
    @CacheEvict( value="entity",key = "'WFTmpStepActor:'+#p0.wftmpstepactorid")
    void updateOne(@Param("wftmpstepactor") WFTmpStepActor wftmpstepactor);
    List<WFTmpStepActor> searchDefault(@Param("srf") WFTmpStepActorSearchFilter searchfilter,@Param("ew") Wrapper<WFTmpStepActor> wrapper) ;
    Page<WFTmpStepActor> searchDefault(IPage page, @Param("srf") WFTmpStepActorSearchFilter searchfilter, @Param("ew") Wrapper<WFTmpStepActor> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'WFTmpStepActor:'+#p0")
    WFTmpStepActor selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'WFTmpStepActor:'+#p0.wftmpstepactorid")
    int updateById(@Param(Constants.ENTITY) WFTmpStepActor entity);
    @Override
    @CacheEvict( value="entity",key = "'WFTmpStepActor:'+#p0.wftmpstepactorid")
    int insert(WFTmpStepActor entity);
    @Override
    @CacheEvict( value="entity",key = "'WFTmpStepActor:'+#p0")
    int deleteById(Serializable id);
}