package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.WFUserAssist;
import com.sa.ibiz.demo.demo.service.dto.WFUserAssistSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface WFUserAssistMapper extends BaseMapper<WFUserAssist>{
    @CacheEvict( value="entity",key = "'WFUserAssist:'+#p0.wfuserassistid")
    void updateOne(@Param("wfuserassist") WFUserAssist wfuserassist);
    List<WFUserAssist> searchDefault(@Param("srf") WFUserAssistSearchFilter searchfilter,@Param("ew") Wrapper<WFUserAssist> wrapper) ;
    Page<WFUserAssist> searchDefault(IPage page, @Param("srf") WFUserAssistSearchFilter searchfilter, @Param("ew") Wrapper<WFUserAssist> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'WFUserAssist:'+#p0")
    WFUserAssist selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'WFUserAssist:'+#p0.wfuserassistid")
    int updateById(@Param(Constants.ENTITY) WFUserAssist entity);
    @Override
    @CacheEvict( value="entity",key = "'WFUserAssist:'+#p0.wfuserassistid")
    int insert(WFUserAssist entity);
    @Override
    @CacheEvict( value="entity",key = "'WFUserAssist:'+#p0")
    int deleteById(Serializable id);
}