package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.WFUserGroupDetail;
import com.sa.ibiz.demo.demo.service.dto.WFUserGroupDetailSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface WFUserGroupDetailMapper extends BaseMapper<WFUserGroupDetail>{
    @CacheEvict( value="entity",key = "'WFUserGroupDetail:'+#p0.wfusergroupdetailid")
    void updateOne(@Param("wfusergroupdetail") WFUserGroupDetail wfusergroupdetail);
    List<WFUserGroupDetail> searchDefault(@Param("srf") WFUserGroupDetailSearchFilter searchfilter,@Param("ew") Wrapper<WFUserGroupDetail> wrapper) ;
    Page<WFUserGroupDetail> searchDefault(IPage page, @Param("srf") WFUserGroupDetailSearchFilter searchfilter, @Param("ew") Wrapper<WFUserGroupDetail> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'WFUserGroupDetail:'+#p0")
    WFUserGroupDetail selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'WFUserGroupDetail:'+#p0.wfusergroupdetailid")
    int updateById(@Param(Constants.ENTITY) WFUserGroupDetail entity);
    @Override
    @CacheEvict( value="entity",key = "'WFUserGroupDetail:'+#p0.wfusergroupdetailid")
    int insert(WFUserGroupDetail entity);
    @Override
    @CacheEvict( value="entity",key = "'WFUserGroupDetail:'+#p0")
    int deleteById(Serializable id);
}